Subject: [ipcdn] RE: draft-ietf-ipcdn-docs-rfmibv2-04.txt

From: "Raftus, David" <[email-masked]>
Date: Fri, 27 Sep 2002 04:57:19 -0700

Hi Greg and all,

Aviv has departed the broadband field, so I'll be answering solo. Thanks for
the suggestions - I also have a few others collected from varying sources
over the past few months. After the CW24 submission I'll provide some
comments/questions to the CC list regarding the new items.

Thanks,
Dave

************************************
David Raftus
Imedia Semiconductor
340 Terry Fox Drive, Suite 202
Ottawa Canada  K2K 3A2

[email-masked]           
613.592.1052  ext 222
************************************               

-----Original Message-----
From: Greg White [mailto:[email-masked]]
Sent: Thursday, September 26, 2002 6:47 PM
To: David Raftus (E-mail); Aviv Goren (E-mail)
Cc: Eduardo Cardona; DOCSIS 2.0 Majordomo List; DOCSIS OSS Majordomo List;
[email-masked]'
Subject: draft-ietf-ipcdn-docs-rfmibv2-04.txt

> Dave, Aviv,
>
> draft-ietf-ipcdn-docs-rfmibv2-04.txt expires in October and last I heard,
you were anticipating a draft-05.  I would encourage you (and the community)
to consider the following useful additions that have been suggested by
operators and CableLabs.  They are sketched out below.
-Greg

> docsIfUpChannelPreEqEnable - This functionality is supported by all 1.1
CMTSs yet there is no MIB to control it.  This would be a useful control for
channels that must support DOCSIS 1.0 CMs.
>
>      docsIfUpChannelPreEqEnable OBJECT-TYPE
>              SYNTAX      TruthValue
>              MAX-ACCESS  read-create
>              STATUS      current
>              DESCRIPTION
>                  "Used to enable or disable Pre-Equalization on the
upstream channel."
>              REFERENCE
>                  "Document [25] from References, Section 6.2.15.
>              ::= { docsIfUpstreamChannelEntry 19 }
>      
>
> docsIfCmStatusEqualizationData - This object *should* be easily reportable
by the CM, and much more reliable than what is reported by the CMTS.
>
>      docsIfCmStatusEqualizationData OBJECT-TYPE
>              SYNTAX      OCTET STRING
>              MAX-ACCESS  read-only
>              STATUS      current
>              DESCRIPTION
>                  "Pre-equalization data for this CM, formatted as defined
in the REFERENCE below."
>              REFERENCE
>                  "Document [25] from References, Figure 8-23."
>              ::= { docsIfCmStatusEntry 17 }
>
>
>
> docsIfCmtsChannelUtilization - For capacity planning and incident
analysis, operators need a mechanism to evaluate the load on an upstream
channel. This is particularly true for provisioning of telephony and other
high-value QoS services. For physical channels that support mixed operation
(1.x / 2.0) there is no single channel capacity value that can be weighed
against the average data throughput to estimate load, furthermore, for
channels that are limited to 1.x-only or 2.0-only operation, although an
estimate can be made, it only includes MAC-layer PDU data carried on the
channel and ignores physical layer overhead as well as MAC messaging
overheads.  Unfortunately, since this object needs to be defined per
physical channel (ifType=129) rather than per logical channel (ifType=205),
it can't be added to the docsIfUpstreamChannelTable, so a new table is
needed.  Additionally, statistics for downstream channels can easily be
added to the new table.
             docsIfCmtsChannelUtilizationInterval OBJECT-TYPE

                     SYNTAX      Integer32 (0..86400)
                     UNITS       "seconds"
                     MAX-ACCESS  read-write
                     STATUS      current
                     DESCRIPTION
                        "The time interval over which channel utilization is
averaged.
                        Setting the value to zero disables reporting of
utilization."
                     DEFVAL { 300 }
                     ::= {  docsIfCmtsObjects 8 }

>      docsIfCmtsChannelUtilizationTable OBJECT-TYPE
>              SYNTAX      SEQUENCE OF DocsIfCmtsChannelUtilizationEntry
>              MAX-ACCESS  not-accessible
>              STATUS      current
>              DESCRIPTION
>                  "This table reports statistics for attached upstream and
>                   downstream channels."
>              ::= { docsIfCmtsObjects 9 }
>      
>      docsIfCmtsChannelUtilizationEntry OBJECT-TYPE
>              SYNTAX      DocsIfCmtsChannelUtilizationEntry
>              MAX-ACCESS  not-accessible
>              STATUS      current
>              DESCRIPTION
>                  "Statistics for a single upstream channel. An entry
>                   in this table exists for each ifEntry with an ifType of
>                   docsCableDownstreamInterface (128) or
                  docsCableUpstreamInterface (129)."
>              INDEX { ifIndex }
>              ::= { docsIfCmtsChannelUtilizationTable 1 }
>      
>      DocsIfCmtsChannelUtilizationEntry ::= SEQUENCE {
                 docsIfCmtsChannelId                     Integer32, 
>                  docsIfCmtsChannelIfType                    INTEGER -- OR
IANAifType, 
>                  docsIfCmtsChannelUtilization              Integer32
>              }
>      
>      docsIfCmtsChannelId OBJECT-TYPE
>              SYNTAX      Integer32 (0..255)
>              MAX-ACCESS  read-only
>              STATUS      current
>              DESCRIPTION
>                 "The CMTS identification of the channel."
>              ::= { docsIfCmtsChannelUtilizationEntry 1 }
>
     docsIfCmtsChannelIfType OBJECT-TYPE
             SYNTAX      INTEGER  {
                        docsCableDownstream(128),
                        docsCableUpstream(129)
                               }
                        -- OR IANAifType
             MAX-ACCESS  read-only
             STATUS      current
             DESCRIPTION
                "The CMTS interface type associated to the channel.
              -- OR Add : Only values docsCableDownstream(128) and
docsCableUpstream(129) are valid
                  "
             ::= { docsIfCmtsChannelUtilizationEntry 2 }
>      
>      docsIfCmtsChannelUtilization OBJECT-TYPE
>              SYNTAX      Integer32 (0..100)
>              UNITS       "percent"
>              MAX-ACCESS  read-only
>              STATUS      current
>              DESCRIPTION
>                  "The average utilization of the upstream channel
expressed
>                   as a percentage of minislots for which the CMTS received
>                   an upstream burst from any CM, regardless of burst type
                  and measured in the docsIfCmtsChannelUtilizationInterval
                  time period."
>              ::= { docsIfCmtsChannelUtilizationEntry 3 }
>      
>
_______________________________________________
IPCDN mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ipcdn